﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub

    ' ディレクトリーの参照
    Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
        Using dlg As New FolderBrowserDialog()
            If DialogResult.Cancel = dlg.ShowDialog(Me) Then
                Return
            End If
            Me.textBox1.Text = dlg.SelectedPath
        End Using
    End Sub

    ' ディレクトリー内のファイルを表示
    Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button3.Click
        Me.fileListBox1.DirectoryName = Me.textBox1.Text
    End Sub

    ' ファイルの参照
    Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button2.Click
        Using dlg As New OpenFileDialog()
            If DialogResult.Cancel = dlg.ShowDialog(Me) Then
                Return
            End If
            Me.textBox2.Text = dlg.FileName
        End Using
    End Sub

    ' ファイルを追加
    Private Sub button4_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button4.Click
        Me.fileListBox1.Add(Me.textBox2.Text)
    End Sub

    ' 表示形式の設定
    Private Sub radioButton1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButton1.CheckedChanged
        If Me.radioButton1.Checked Then
            Me.fileListBox1.ViewStyle = Man.Windows.Forms.FileListBoxViewStyle.List
        Else
            Me.fileListBox1.ViewStyle = Man.Windows.Forms.FileListBoxViewStyle.Icon
        End If
    End Sub

    ' チェックボックスの設定
    Private Sub radioButton3_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles radioButton3.CheckedChanged
        Me.fileListBox1.CheckBoxes = Not Me.radioButton3.Checked
    End Sub

End Class
